### Virtual Method

# Gio TlsDatabase lookup_certificate_for_handle

since: 2.30

#### Declaration [src]

    GTlsCertificate*
    lookup_certificate_for_handle (
      GTlsDatabase* self,
      const gchar* handle,
      GTlsInteraction* interaction,
      GTlsDatabaseLookupFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Look up a certificate by its handle.

The handle should have been created by calling `g_tls_database_create_certificate_handle()` on a `GTlsDatabase` object of the same TLS backend. The handle is designed to remain valid across instantiations of the database.

If the handle is no longer valid, or does not point to a certificate in this database, then `NULL` will be returned.

This function can block, use `g_tls_database_lookup_certificate_for_handle_async()` to perform the lookup operation asynchronously.

Available since: 2.30

#### Parameters

`handle`

  Type: `const gchar*`

  A certificate handle.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`interaction`

  Type: `GTlsInteraction`

  Used to interact with the user if necessary.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`flags`

  Type: `GTlsDatabaseLookupFlags`

  Flags which affect the lookup.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GTlsCertificate`

A newly allocated `GTlsCertificate`, or `NULL`. Use `g_object_unref()` to release the certificate.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.